Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.control
[Java] Class CompilationFailedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  groovy.lang.GroovyRuntimeException
                      org.codehaus.groovy.control.CompilationFailedException

    public class CompilationFailedException
    extends GroovyRuntimeException

Thrown when compilation fails from source errors.

Authors:
  Chris Poirier

Version:
  \$Id\$

Field Summary
`protected int` | `phase`
`protected ProcessingUnit` | `unit`

Constructor Summary
`CompilationFailedException(int phase, ProcessingUnit unit, java.lang.Throwable cause)`
`CompilationFailedException(int phase, ProcessingUnit unit)`

Method Summary
`ProcessingUnit` | `getUnit()` Formats the error data as a String.

Methods inherited from class GroovyRuntimeException
getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule

Methods inherited from class java.lang.RuntimeException
java.lang.RuntimeException#printStackTrace(), java.lang.RuntimeException#printStackTrace(java.io.PrintStream), java.lang.RuntimeException#printStackTrace(java.io.PrintWriter), java.lang.RuntimeException#fillInStackTrace(), java.lang.RuntimeException#getCause(), java.lang.RuntimeException#initCause(java.lang.Throwable), java.lang.RuntimeException#toString(), java.lang.RuntimeException#getMessage(), java.lang.RuntimeException#getLocalizedMessage(), java.lang.RuntimeException#getStackTrace(), java.lang.RuntimeException#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.RuntimeException#addSuppressed(java.lang.Throwable), java.lang.RuntimeException#getSuppressed(), java.lang.RuntimeException#wait(long), java.lang.RuntimeException#wait(long, int), java.lang.RuntimeException#wait(), java.lang.RuntimeException#equals(java.lang.Object), java.lang.RuntimeException#hashCode(), java.lang.RuntimeException#getClass(), java.lang.RuntimeException#notify(), java.lang.RuntimeException#notifyAll()

Field Detail

### phase

    protected int phase

### unit

    protected ProcessingUnit unit

Constructor Detail

### CompilationFailedException

    public CompilationFailedException(int phase, ProcessingUnit unit, java.lang.Throwable cause)

### CompilationFailedException

    public CompilationFailedException(int phase, ProcessingUnit unit)

Method Detail

### getUnit

    public ProcessingUnit getUnit()

  Formats the error data as a String.

Groovy Documentation